from enum import Enum
from typing import NamedTuple, List


class SearcherType(Enum):
    LAMBDA = 1
    SERVICE = 2
    NOT_IMPLEMENTED = 3


class FacetParams(NamedTuple):
    field: List[str]
    mincount: int = 1
