import threading

from flask import Flask, jsonify


app = Flask(__name__)
app.debug = False


@app.route("/access/v1/demand", methods=["GET", "POST"])
def rbac_demand():
    return jsonify({"properties": {"internal": True}})


def _flask_run():
    app.run(host="0.0.0.0", port=4000)


def rbac_run():
    thread_app = threading.Thread(target=_flask_run)
    thread_app.setDaemon(True)
    thread_app.start()
