import logging
from pscr_integration.uds_ingress.kinesis_uds import get_uds_events

_logger = logging.getLogger(__name__)


class TestUDS:
    def test_uds_stream_data(self, config, load_org_1):
        expected_records = config["config_file"]["test_constants"]["org1_uds_test_count"]
        events = get_uds_events(
            f"{config['env_vars']['ENV_NAME']}__uds_ingress_test",
            load_org_1["loader"].org_id,
            expected_records,
        )

        assert len(events) >= expected_records
